unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComObj, Spin;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Edit1: TEdit;
    CheckBox1: TCheckBox;
    ComboBox1: TComboBox;
    Label2: TLabel;
    SpinEdit1: TSpinEdit;
    Label3: TLabel;
    ComboBox2: TComboBox;
    ColorDialog1: TColorDialog;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Edit1Exit(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
var
  E:variant;
  Range:variant;
  Border:variant;

{$R *.dfm}


procedure TForm1.Button1Click(Sender: TObject);
//  Excel   
begin
  E:=CreateOleObject('Excel.Application');
  E.Visible:=True;
end;

procedure TForm1.Button2Click(Sender: TObject);
//  
begin
  E.WorkBooks.Add;
end;

procedure TForm1.Edit1Exit(Sender: TObject);
// 
begin
 Range:=E.ActiveSheet.Range[Edit1.Text];
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
// 
begin
  if CheckBox1.Checked Then
    Border:=Range.Borders.Item[ComboBox1.ItemIndex+5];
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
//    
begin
  Border.Weight:=SpinEdit1.Value;
end;

procedure TForm1.ComboBox2Change(Sender: TObject);
//    
begin
  Case ComboBox2.ItemIndex Of
    0: Border.LineStyle:=1;     //xlContinuous
    1: Border.LineStyle:=-4115; //xlDash
    2: Border.LineStyle:=4;     //xlDashDot
    3: Border.LineStyle:=5;     //xlDashDotDot
    4: Border.LineStyle:=-4118; //xlDot
    5: Border.LineStyle:=-4119; //xlDouble
    6: Border.LineStyle:=-4142; //xlLineStyleNone
    7: Border.LineStyle:=13;    //xlSlantDashDot
  End;
end;

procedure TForm1.Button3Click(Sender: TObject);
//    
begin
  if ColorDialog1.Execute then
     Border.Color:=ColorDialog1.Color;
end;

end.
